## xenomai 2.6.2.1

=== examples/Makefile ===
all:
	@find . -mindepth 2 -name Makefile -execdir make \;

clean:
	@find . -depth -mindepth 2 -name Makefile -execdir make clean \; 2>/dev/null || true
