=== ksrc/arch/sh/Makefile ===

obj-$(CONFIG_XENOMAI) += xeno_hal.o

xeno_hal-y := hal.o trampoline.o

EXTRA_CFLAGS += -D__IN_XENOMAI__ -Iinclude/xenomai
