=== debian/changelog ===
xenomai (2.6.2.1-2ubuntu2) saucy; urgency=low

  * Do not strip the testsuite. Should work-around a build failure.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 08 Jun 2013 18:41:52 +0400

xenomai (2.6.2.1-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. (LP: #1186588) Remaining changes:
    - debian/rules: Set OMAP3 as default target machine as that is
      the closest to what we support from what upstream configure script
      has to offer.
    - debian/control: Add Breaks on udev to get correct version.
    - debian/libxenomai1.preinst: Remove symlink on upgrade, remove old udev.
      rule unless modified in which case move to new name.
    - debian/libxenomai1.postinst: Do not create symlink.
    - debian/libxenomai1.postrm: No symlink to remove.
  * fix_thumb_build.patch no more nedded as it reguarded a previous
      /include/asm-arm/atomic.h version.

 -- Alessandro Losavio <alessandro.losavio@yahoo.com>  Thu, 06 Jun 2013 20:16:03 +0100

xenomai (2.6.2.1-2) unstable; urgency=low

  * debian/control: Standards-Version: 3.9.4
  * debian/compat: 9
  * Fix build on powerpcspe by patching upstream
  * Malfunction of FD_ISSET with RTDM is fixed upstream, thanks
    to Alexandre Duch and Gilles Chanteperdrix (Closes: #695657)

 -- Roland Stigge <stigge@antcom.de>  Thu, 09 May 2013 18:31:31 +0200

xenomai (2.6.2.1-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 26 Jan 2013 15:07:20 +0100

xenomai (2.6.2-1) experimental; urgency=low

  * New upstream release
  * Added powerpcspe to list of supported architectures

 -- Roland Stigge <stigge@antcom.de>  Thu, 27 Dec 2012 13:08:39 +0100

xenomai (2.6.1-git20121216-1) experimental; urgency=low

  * New upstream pre-release

 -- Roland Stigge <stigge@antcom.de>  Sun, 16 Dec 2012 11:44:21 +0100

xenomai (2.6.1-2) experimental; urgency=low

  * Removed obsolete Debian patches
  * Include newer ipipe patches into binary package

 -- Roland Stigge <stigge@antcom.de>  Mon, 13 Aug 2012 14:43:44 +0200

xenomai (2.6.1-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 02 Aug 2012 17:40:54 +0200
