=== debian/watch ===
version=3
http://download.gna.org/xenomai/stable/xenomai-(.*)\.tar\.bz2
