## xenomai 2.6.3

=== ksrc/arch/x86/Makefile ===
--- 
+++ 
@@ -10,9 +10,7 @@
 
 obj-$(CONFIG_XENOMAI) += xeno_hal.o
 
-xeno_hal-y := hal_$(X86_MODE).o hal-common.o usercopy_$(X86_MODE).o
-
-xeno_hal-$(CONFIG_XENO_HW_SMI_DETECT) += smi.o
+xeno_hal-y := hal_$(X86_MODE).o hal-common.o usercopy_$(X86_MODE).o smi.o
 
 EXTRA_CFLAGS += -D__IN_XENOMAI__ -Iinclude/xenomai
 
@@ -24,9 +22,7 @@
 
 O_TARGET := built-in.o
 
-obj-y := hal_32.o hal-common.o
-
-obj-$(CONFIG_XENO_HW_SMI_DETECT) += smi.o
+obj-y := hal_32.o hal-common.o smi.o
 
 export-objs := $(obj-y) $(obj-m)
