=== debian/changelog ===
xenomai (2.6.3-2) unstable; urgency=low

  * Add usr/lib/pkgconfig to libxenomai-dev.install (Closes: #729060)

 -- Roland Stigge <stigge@antcom.de>  Fri, 08 Nov 2013 14:49:26 +0100

xenomai (2.6.3-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 17 Oct 2013 16:00:44 +0200
