=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xenomai
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roland Stigge <stigge@antcom.de>
+Maintainer: Roland Stigge <stigge@antcom.de>
 Build-Depends: debhelper (>= 9), findutils (>= 4.2.28), autotools-dev, autoconf, automake, libtool
 Standards-Version: 3.9.4
 Homepage: http://www.xenomai.org/
@@ -53,7 +52,6 @@
 Suggests: linux-patch-xenomai, xenomai-doc
 Replaces: xenomai
 Conflicts: xenomai
-Breaks: udev (<< 136-1)
 Description: Shared libraries for Xenomai
  Xenomai is a real-time development framework cooperating with the Linux
  kernel in order to provide a pervasive, interface-agnostic, hard real-time
