=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	CONFIG_OPTS = --enable-arm-mach=generic --enable-arm-eabi
 endif
 ifeq ($(DEB_HOST_ARCH), armel)
-	CONFIG_OPTS = --enable-arm-mach=omap3 --enable-arm-eabi
+	CONFIG_OPTS = --enable-arm-mach=generic --enable-arm-eabi
 endif
 ifeq ($(DEB_HOST_ARCH), arm)
 	CONFIG_OPTS = --enable-arm-mach=generic
@@ -106,9 +106,8 @@
 	# xeno-config should be only in libxenomai-dev
 	rm -f $(CURDIR)/debian/xenomai-runtime/usr/bin/xeno-config
 	rm -f $(CURDIR)/debian/xenomai-runtime/usr/share/man/man1/xeno-config.1
-	: > $(CURDIR)/debian/libxenomai1.udev
 	for f in $(CURDIR)/ksrc/nucleus/udev/*.rules ; do \
-	    cat $$f >> $(CURDIR)/debian/libxenomai1.udev ; \
+	    cat $$f >> $(CURDIR)/debian/libxenomai1/etc/udev/xenomai.rules ; \
 	done
 	install -m 644 debian/libxenomai1.modprobe $(CURDIR)/debian/libxenomai1/etc/modprobe.d/xenomai.conf
 	# remove empty directory
@@ -142,10 +141,9 @@
 	dh_installinit -s --name=xenomai
 	dh_installman -s
 	dh_installdocs -s -A
-	dh_installudev
 	dh_link -s
 	dh_installchangelogs -s
-	dh_strip -s -Xtestsuite
+	dh_strip -s
 	dh_compress -s
 	dh_fixperms -s
 	dh_makeshlibs -s
